Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class StreamCharBuffer.EncodedPart

    java.lang.Object
      org.codehaus.groovy.grails.web.util.StreamCharBuffer.EncodedPart

    public static final class StreamCharBuffer.EncodedPart

Constructor Summary
`StreamCharBuffer.EncodedPart(EncodingState encodingState, java.lang.String part)`

Method Summary
`EncodingState` | `getEncodingState()`
`java.lang.String` | `getPart()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### StreamCharBuffer.EncodedPart

    public StreamCharBuffer.EncodedPart(EncodingState encodingState, java.lang.String part)

Method Detail

### getEncodingState

    public EncodingState getEncodingState()

### getPart

    public java.lang.String getPart()

### toString

    @java.lang.Override}
        }
    public java.lang.String toString()

Groovy Documentation